diff --git a/isisd/isis_tlvs.c b/isisd/isis_tlvs.c
index b52a38be7f87..6a7f2cb00b1f 100644
--- a/isisd/isis_tlvs.c
+++ b/isisd/isis_tlvs.c
@@ -3635,6 +3635,13 @@ static int pack_tlv_router_cap(const struct isis_router_cap *router_cap,
 		}
 	}
 
+	/* Add SRv6 capabilities if set as per RFC 9352 section #2 */
+	if (router_cap->srv6_cap.enabled) {
+		stream_putc(s, ISIS_SUBTLV_SRV6_CAPABILITIES);
+		stream_putc(s, ISIS_SUBTLV_SRV6_CAPABILITIES_SIZE);
+		stream_putw(s, router_cap->srv6_cap.flags);
+	}
+
 	/* Adjust TLV length which depends on subTLVs presence */
 	tlv_len = stream_get_endp(s) - len_pos - 1;
 	stream_putc_at(s, len_pos, tlv_len);
